/*******************************************************************************
 * Copyright (C) 2008
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 *
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 *
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 *
 * Author: Marko Reiprecht
 * Created: 18.07.2008
 * Modified: $Date $
 ******************************************************************************/
/* $Id: $ */
package org.n52.security.authentication;

/**
 * Class AccountLockedException is thrown if the users account is locked.
 * <p/>
 * A account is in locked state,
 * if the account exists, but every try to login is blocked independed of the users credentials.
 * A account can reach the log state e.g. if the a user enters 3 times the wrong credentials,
 * but this depends on system settings.
 *
 * @author Marko Reiprecht
 *         Created on 18.07.2008
 * @version $Revision: $
 */
public class AccountLockedException extends AuthenticationException {

    // ------------------------------ FIELDS ------------------------------

    private static final long serialVersionUID = -8876716918006833812L;

    // --------------------------- CONSTRUCTORS ---------------------------

    /**
     * Constructor creates a new instance.
     *
     * @param msg the msg.
     */
    public AccountLockedException(final String msg) {
        super(msg);
    }

    /**
     * Constructor creates a new instance.
     *
     * @param msg    the msg.
     * @param reason the backed reason.
     */
    public AccountLockedException(final String msg, final Throwable reason) {
        super(msg, reason);
    }
}
