/* Copyright (C) 2007 con terra GmbH (http://www.conterra.de)
 * All rights reserved
 *
 * $Id: $
 *
 * Originally created
 * by :     Marko Reiprecht
 * at :     12.10.2009 16:52:14
 */
package org.n52.security.authentication;

/**
 * This utility class provides access to an authentication context bound to the current thread.
 * <p/>
 * This is a convinient method to transport an AuthenticationContext between API borders.
 * 
 * @author Marko Reiprecht
 */
public final class AuthenticationContextUtil {

    private static ThreadLocal m_currentAuthenticationContext = new ThreadLocal();

    public static AuthenticationContext getCurrentAuthenticationContext() {
        return (AuthenticationContext) m_currentAuthenticationContext.get();
    }

    public static void setCurrentAuthenticationContext(final AuthenticationContext ctx) {
        m_currentAuthenticationContext.set(ctx);
    }

}
