/* Copyright (C) 2007 con terra GmbH (http://www.conterra.de)
 * All rights reserved
 *
 * $Id: $
 *
 * Originally created
 * by :     Marko Reiprecht
 * at :     12.10.2009 14:52:32
 */
package org.n52.security.authentication;

import java.util.Date;
import javax.security.auth.Subject;

/**
 * A simple authentication Context implementation useable
 * by decorators or special AuthenticationService implementations.
 * 
 * @author Marko Reiprecht
 */
public class SimpleAuthenticationContext implements AuthenticationContext {

    private static final long serialVersionUID = -3128179920328105889L;
    private Date m_authenticationTime = new Date();
    private Subject m_subject;

    /**
     * Creates new instance.
     * 
     * @param subject
     */
    public SimpleAuthenticationContext(final Subject subject) {
        m_subject = subject;
    }

    public boolean isAuthenticated() {
        return m_subject != null;
    }

    public Subject getSubject() {
        return m_subject;
    }

    public Date getAuthenticationTime() {
        return m_authenticationTime;
    }
}
