/*******************************************************************************
 * Copyright (C) 2009
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 * 
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 * 
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 ******************************************************************************/

package org.n52.security.authentication.loginmodule;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

import org.dom4j.Element;
import org.dom4j.Node;

/**
 * @author jdr
 * 
 */
public class FileLoginUser {

    private String m_username;

    private String m_password;

    private String m_realname;

    private List m_roles;

    FileLoginUser(final String username, final String password, final String realname) {
        this.m_username = username;
        this.m_password = password;
        this.m_realname = realname;
    }

    FileLoginUser(Node pUserNode) {
        m_roles = new ArrayList();
        Element lUserElem = (Element) pUserNode;
        m_username = lUserElem.attributeValue("username");
        m_password = lUserElem.attributeValue("password");
        m_realname = lUserElem.attributeValue("realname");
        List lRoleElems = lUserElem.elements("Role");
        for (Iterator iter = lRoleElems.iterator(); iter.hasNext();) {
            addRole(((Element) iter.next()).attributeValue("name"));
        }
    }

    public String getPassword() {
        return m_password;
    }

    public void setPassword(final String password) {
        this.m_password = password;
    }

    public String getRealname() {
        return m_realname;
    }

    public void setRealname(final String realname) {
        this.m_realname = realname;
    }

    public String getUsername() {
        return m_username;
    }

    public void setUsername(final String username) {
        this.m_username = username;
    }

    public String[] getRoles() {
        return (String[]) m_roles.toArray(new String[m_roles.size()]);
    }

    public void setRoles(final String[] pRoles) {
        m_roles = Arrays.asList(pRoles);
    }

    public void addRole(final String pRole) {
        m_roles.add(pRole);
    }
}
